<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Tue Nov 29 02:51:06 EST 2016 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PapyrusJavaAdapterFactory (org.eclipse.papyrus.designer.languages.java.profile 1.0.4-SNAPSHOT API)</title>
<meta name="date" content="2016-11-29">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PapyrusJavaAdapterFactory (org.eclipse.papyrus.designer.languages.java.profile 1.0.4-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PapyrusJavaAdapterFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html" target="_top">Frames</a></li>
<li><a href="PapyrusJavaAdapterFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util</div>
<h2 title="Class PapyrusJavaAdapterFactory" class="title">Class PapyrusJavaAdapterFactory</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util.PapyrusJavaAdapterFactory</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.emf.common.notify.AdapterFactory</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">PapyrusJavaAdapterFactory</span>
extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Adapter Factory</b> for the model.
 It provides an adapter <code>createXXX</code> method for each class of the model.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>PapyrusJavaPackage</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">PapyrusJavaPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#modelPackage">modelPackage</a></span></code>
<div class="block">The cached model package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util">PapyrusJavaSwitch</a>&lt;org.eclipse.emf.common.notify.Adapter&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#modelSwitch">modelSwitch</a></span></code>
<div class="block">The switch that delegates to the <code>createXXX</code> methods.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#PapyrusJavaAdapterFactory--">PapyrusJavaAdapterFactory</a></span>()</code>
<div class="block">Creates an instance of the adapter factory.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createAdapter-org.eclipse.emf.common.notify.Notifier-">createAdapter</a></span>(org.eclipse.emf.common.notify.Notifier&nbsp;target)</code>
<div class="block">Creates an adapter for the <code>target</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createArrayAdapter--">createArrayAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Array.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Array</em></code></a>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createDefaultAdapter--">createDefaultAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Default.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Default</em></code></a>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createEObjectAdapter--">createEObjectAdapter</a></span>()</code>
<div class="block">Creates a new adapter for the default case.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createExternalAdapter--">createExternalAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/External.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>External</em></code></a>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createExternLibraryAdapter--">createExternLibraryAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Extern Library</em></code></a>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createFinalAdapter--">createFinalAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Final.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Final</em></code></a>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createImportAdapter--">createImportAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Import.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Import</em></code></a>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createManualGenerationAdapter--">createManualGenerationAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Manual Generation</em></code></a>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createNativeAdapter--">createNativeAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Native.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Native</em></code></a>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createNoCodeGenAdapter--">createNoCodeGenAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>No Code Gen</em></code></a>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createStaticClassifierAdapter--">createStaticClassifierAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/StaticClassifier.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Static Classifier</em></code></a>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createStrictfpAdapter--">createStrictfpAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Strictfp.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Strictfp</em></code></a>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createSynchronizedAdapter--">createSynchronizedAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Synchronized</em></code></a>'.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createTemplateAdapter--">createTemplateAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Template.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Template</em></code></a>'.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createTemplateBindingAdapter--">createTemplateBindingAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Template Binding</em></code></a>'.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createTemplateParameterAdapter--">createTemplateParameterAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Template Parameter</em></code></a>'.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createTransientAdapter--">createTransientAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Transient.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Transient</em></code></a>'.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createVariadicAdapter--">createVariadicAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Variadic</em></code></a>'.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.notify.Adapter</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#createVolatileAdapter--">createVolatileAdapter</a></span>()</code>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Volatile</em></code></a>'.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html#isFactoryForType-java.lang.Object-">isFactoryForType</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;object)</code>
<div class="block">Returns whether this factory is applicable for the type of the object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.impl.AdapterFactoryImpl">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</h3>
<code>adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="modelPackage">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>modelPackage</h4>
<pre>protected static&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/PapyrusJavaPackage.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava">PapyrusJavaPackage</a> modelPackage</pre>
<div class="block">The cached model package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="modelSwitch">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>modelSwitch</h4>
<pre>protected&nbsp;<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util">PapyrusJavaSwitch</a>&lt;org.eclipse.emf.common.notify.Adapter&gt; modelSwitch</pre>
<div class="block">The switch that delegates to the <code>createXXX</code> methods.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="PapyrusJavaAdapterFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PapyrusJavaAdapterFactory</h4>
<pre>public&nbsp;PapyrusJavaAdapterFactory()</pre>
<div class="block">Creates an instance of the adapter factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isFactoryForType-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFactoryForType</h4>
<pre>public&nbsp;boolean&nbsp;isFactoryForType(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;object)</pre>
<div class="block">Returns whether this factory is applicable for the type of the object.
 <!-- begin-user-doc -->
 This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isFactoryForType</code>&nbsp;in interface&nbsp;<code>org.eclipse.emf.common.notify.AdapterFactory</code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>isFactoryForType</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether this factory is applicable for the type of the object.</dd>
</dl>
</li>
</ul>
<a name="createAdapter-org.eclipse.emf.common.notify.Notifier-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createAdapter(org.eclipse.emf.common.notify.Notifier&nbsp;target)</pre>
<div class="block">Creates an adapter for the <code>target</code>.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>createAdapter</code>&nbsp;in class&nbsp;<code>org.eclipse.emf.common.notify.impl.AdapterFactoryImpl</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>target</code> - the object to adapt.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the adapter for the <code>target</code>.</dd>
</dl>
</li>
</ul>
<a name="createArrayAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createArrayAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createArrayAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Array.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Array</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Array.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>Array</code></a></dd>
</dl>
</li>
</ul>
<a name="createExternalAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createExternalAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createExternalAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/External.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>External</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/External.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>External</code></a></dd>
</dl>
</li>
</ul>
<a name="createExternLibraryAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createExternLibraryAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createExternLibraryAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Extern Library</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ExternLibrary.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>ExternLibrary</code></a></dd>
</dl>
</li>
</ul>
<a name="createImportAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createImportAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createImportAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Import.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Import</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Import.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>Import</code></a></dd>
</dl>
</li>
</ul>
<a name="createNoCodeGenAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNoCodeGenAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createNoCodeGenAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>No Code Gen</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/NoCodeGen.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>NoCodeGen</code></a></dd>
</dl>
</li>
</ul>
<a name="createTemplateAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTemplateAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createTemplateAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Template.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Template</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Template.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>Template</code></a></dd>
</dl>
</li>
</ul>
<a name="createTemplateBindingAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTemplateBindingAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createTemplateBindingAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Template Binding</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateBinding.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>TemplateBinding</code></a></dd>
</dl>
</li>
</ul>
<a name="createTemplateParameterAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTemplateParameterAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createTemplateParameterAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Template Parameter</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/TemplateParameter.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>TemplateParameter</code></a></dd>
</dl>
</li>
</ul>
<a name="createManualGenerationAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createManualGenerationAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createManualGenerationAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Manual Generation</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/ManualGeneration.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>ManualGeneration</code></a></dd>
</dl>
</li>
</ul>
<a name="createVariadicAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createVariadicAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createVariadicAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Variadic</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Variadic.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>Variadic</code></a></dd>
</dl>
</li>
</ul>
<a name="createVolatileAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createVolatileAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createVolatileAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Volatile</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Volatile.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>Volatile</code></a></dd>
</dl>
</li>
</ul>
<a name="createTransientAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createTransientAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createTransientAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Transient.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Transient</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Transient.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>Transient</code></a></dd>
</dl>
</li>
</ul>
<a name="createSynchronizedAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createSynchronizedAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createSynchronizedAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Synchronized</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Synchronized.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>Synchronized</code></a></dd>
</dl>
</li>
</ul>
<a name="createStrictfpAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStrictfpAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createStrictfpAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Strictfp.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Strictfp</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Strictfp.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>Strictfp</code></a></dd>
</dl>
</li>
</ul>
<a name="createNativeAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createNativeAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createNativeAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Native.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Native</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Native.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>Native</code></a></dd>
</dl>
</li>
</ul>
<a name="createDefaultAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createDefaultAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createDefaultAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Default.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Default</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Default.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>Default</code></a></dd>
</dl>
</li>
</ul>
<a name="createStaticClassifierAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createStaticClassifierAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createStaticClassifierAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/StaticClassifier.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Static Classifier</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/StaticClassifier.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>StaticClassifier</code></a></dd>
</dl>
</li>
</ul>
<a name="createFinalAdapter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createFinalAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createFinalAdapter()</pre>
<div class="block">Creates a new adapter for an object of class '<a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Final.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code><em>Final</em></code></a>'.
 <!-- begin-user-doc -->
 This default implementation returns null so that we can easily ignore cases;
 it's useful to ignore a case when inheritance will catch all the cases anyway.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/Final.html" title="interface in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava"><code>Final</code></a></dd>
</dl>
</li>
</ul>
<a name="createEObjectAdapter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createEObjectAdapter</h4>
<pre>public&nbsp;org.eclipse.emf.common.notify.Adapter&nbsp;createEObjectAdapter()</pre>
<div class="block">Creates a new adapter for the default case.
 <!-- begin-user-doc -->
 This default implementation returns null.
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the new adapter.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/PapyrusJavaAdapterFactory.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaSwitch.html" title="class in org.eclipse.papyrus.designer.languages.java.profile.PapyrusJava.util"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/languages/java/profile/PapyrusJava/util/PapyrusJavaAdapterFactory.html" target="_top">Frames</a></li>
<li><a href="PapyrusJavaAdapterFactory.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
